Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create webhook subscription

POST/workspaces/{organizationId}/webhook-subscriptions
Path parameters
organizationIdstringrequired
Request body
application/json
urlstring<uri>required
eventsstring
secretstring
Responses
201Webhook subscription created
idstringrequired
organizationIdstringrequired
urlstringrequired
eventsstringrequired
secretstringrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/webhook-subscriptions" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "http://example.com",
  "events": "string",
  "secret": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "url": "string",
  "events": "string",
  "secret": "string",
  "createdAt": "string"
}